Dead after Firmware Update attempt  

  RSS
Knopfloch
(@knopfloch)
Active Member

Hi all,

never change a running system they say. Anyways...I tried to. Now I'm stuck.
After attempting to flashing the newest Firmware onto my i3 MK2S via USB the flasher told me a fail:
avrdude-slic3r: arduino_open(): Failed to initialize MK3 external flash programming mode
avrdude-slic3r: Could not open port: /dev/cu.usbmodem14101

Now I'm stuck with a LCD screen consisting of just rectangles. Can't reset. Printer won't beep or move when turned on.

Any suggestions for how to move on from here?

Thanks

Markus

Best Answer by jsw:

onto my i3 MK2S ....

Failed to initialize MK3 external flash

MK2? MK3? Are you using the correct image? Sounds like some kind of a mismatch here.

Can you re-flash your original working image?

Posted : 22/06/2020 10:31 am
towlerg
(@towlerg)
Honorable Member

Just a guess but firmware upgrades via slicer use the bootloader on the Mk2. If you try to use an external programmer you will overwrite the bootloader. The code is compiled assuming the use of a bootloader.

Posted : 22/06/2020 12:09 pm
jsw
 jsw
(@jsw)
Prominent Member

onto my i3 MK2S ....

Failed to initialize MK3 external flash

MK2? MK3? Are you using the correct image? Sounds like some kind of a mismatch here.

Can you re-flash your original working image?

Posted : 22/06/2020 1:41 pm
Knopfloch
(@knopfloch)
Active Member

@jsw

🤪

Thanks for spotting! Sometimes it's a single digit causing a system to fail. 
Re-flashed with the right firmware and all back to good.

Posted : 22/06/2020 2:51 pm
jsw
 jsw
(@jsw)
Prominent Member

I'm glad that helped.  😉

Posted : 22/06/2020 7:02 pm
towlerg
(@towlerg)
Honorable Member

Ooops I just realized that the sliser must use AvrDude, thus the my unhelpful references to bootloaders.

Posted : 23/06/2020 1:28 pm
matt.p3
(@matt-p3)
New Member

Related to this topic my mk2S is displaying a message on its LCD asking me to upgrade firmware to 3.9.  It nags me...every...time...i...try...to...print...something.  However the driver section of the Prusa site lists 3.2.3 as the latest firmware for the mk2s.  Should I give my printer what its asking for or stick with 3.2.3 per the prusa firmware changelog?

...
Posted : 14/07/2020 12:25 am
towlerg
(@towlerg)
Honorable Member

Hi,

Prusa's way of assigning version numbers is potentially confusing (well it confuses me anyway). On the Drivers page https://www.prusa3d.com/drivers/ the package version is 2.3.0 but the latest firmware is 3.9.0

This post was modified 4 months ago by towlerg
Posted : 14/07/2020 1:05 pm
Share:

Please Login or Register